Bug 1245243: remount /dev/shm with more space; r?jmaher
authorDustin J. Mitchell <dustin@mozilla.com>
Thu, 04 Feb 2016 14:50:44 +0000
changeset 689084 7649411f0535e2d5da9396f6e3b0f440fbc9c15a
parent 689076 1b8c60bead7823ef8f30ae7b39cd1f54c1a1857d
child 689085 48d2890a7919ea17e67b468bb83fd1d23f890eab
child 689194 f86b246827b08a66386f2b9691c6ea21fc5d7045
child 689377 277e6ac11f5bd63e00c398c0ca1f2d47bb96e21e
push id108060
push userarmenzg@mozilla.com
push dateThu, 04 Feb 2016 16:11:29 +0000
treeherdertry@48d2890a7919 [default view] [failures only]
reviewersjmaher
bugs1245243
milestone47.0a1
Bug 1245243: remount /dev/shm with more space; r?jmaher
testing/docker/desktop-test/bin/test.sh
testing/taskcluster/tasks/test.yml
--- a/testing/docker/desktop-test/bin/test.sh
+++ b/testing/docker/desktop-test/bin/test.sh
@@ -5,16 +5,20 @@ set -x -e
 : GECKO_HEAD_REPOSITORY         ${GECKO_HEAD_REPOSITORY:=https://hg.mozilla.org/mozilla-central}
 : GECKO_HEAD_REV                ${GECKO_HEAD_REV:=default}
 : WORKSPACE                     ${WORKSPACE:=/home/worker/workspace}
 
 
 # TODO: when bug 1093833 is solved and tasks can run as non-root, reduce this
 # to a simple fail-if-root check
 if [ $(id -u) = 0 ]; then
+    # XXX temporary workaround for bug 1245243
+    umount /dev/shm || true
+    mount -t tmpfs -o rw,nosuid,nodev,noexec,relatime,size=1898856k tmpfs /dev/shm
+
     chown -R worker:worker /home/worker
     # drop privileges by re-running this script
     exec sudo -E -u worker bash /home/worker/bin/test.sh "${@}"
 fi
 
 ####
 # Now get the test-linux.sh script from the given Gecko tree and run it with
 # the same arguments.
--- a/testing/taskcluster/tasks/test.yml
+++ b/testing/taskcluster/tasks/test.yml
@@ -8,19 +8,25 @@ task:
   tags:
     createdForUser: {{owner}}
   workerType: b2gtest
   provisionerId: aws-provisioner-v1
   schedulerId: task-graph-scheduler
 
   scopes:
     - 'docker-worker:feature:allowPtrace'
+    - 'docker-worker:capability:privilege'
 
   payload:
     image: '{{#docker_image}}tester{{/docker_image}}'
+
+    # XXX temporary workaround for bug 1245243
+    capabilities:
+      privileged: true
+
     maxRunTime: 3600
     env:
       MOZILLA_BUILD_URL: '{{build_url}}'
       MOZHARNESS_URL: '{{mozharness_url}}'
 
     # All builds share a common artifact directory for ease of uploading.
     artifacts:
       'public/logs/':